Bug 1900725 - Using shareProcessNamespace with default pod image leaves unreaped processes
Summary: Using shareProcessNamespace with default pod image leaves unreaped processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Peter Hunt
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1875946
Blocks: 1900727
TreeView+ depends on / blocked
 
Reported: 2020-11-23 15:27 UTC by Eduardo Minguez
Modified: 2020-12-29 18:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1875946
Environment:
Last Closed: 2020-12-15 20:28:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift images pull 57 0 None closed [release-4.5] Bug 1900725: Pod process container does not correctly reap zombie process with shareProcessNamespace: true 2021-02-08 11:26:05 UTC
Red Hat Knowledge Base (Solution) 5598621 0 None None None 2020-11-24 18:55:58 UTC
Red Hat Product Errata RHSA-2020:5359 0 None None None 2020-12-15 20:28:59 UTC

Comment 7 MinLi 2020-12-01 09:31:47 UTC
Launching cluster with cluster-bot `launch openshift/images#57 aws`

verified on version : 
$ oc get clusterversion 
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.ci.test-2020-12-01-081101-ci-ln-83bsifk   True        False         46m     Cluster version is 4.5.0-0.ci.test-2020-12-01-081101-ci-ln-83bsifk

No zombie proecess left there.

root@test:/# top
   
top - 09:17:58 up 42 min,  0 users,  load average: 0.25, 0.48, 0.40
Tasks:   4 total,   1 running,   3 sleeping,   0 stopped,   0 zombie
%Cpu(s):  0.5 us,  0.5 sy,  0.0 ni, 98.6 id,  0.0 wa,  0.5 hi,  0.0 si,  0.0 st
MiB Mem :  16032.2 total,  11807.9 free,    961.8 used,   3262.4 buff/cache
MiB Swap:      0.0 total,      0.0 free,      0.0 used.  14937.9 avail Mem 

    PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND                                                                                
      1 root      20   0    3264   1576   1200 S   0.0   0.0   0:00.14 pod                                                                                    
     13 root      20   0    2548    596    528 S   0.0   0.0   0:00.04 tail                                                                                   
    121 root      20   0    4112   3460   2904 S   0.0   0.0   0:00.01 bash                                                                                   
   4266 root      20   0    6104   3264   2764 R   0.0   0.0   0:00.00 top  

root@test:/# ps aux | grep 'Z'
USER         PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root        4333  0.0  0.0   3308   736 pts/0    S+   09:18   0:00 grep --color=auto Z

Comment 8 MinLi 2020-12-01 09:36:40 UTC
this bug will be moved to verified automatically.

Comment 12 MinLi 2020-12-08 07:14:42 UTC
I did the steps as pre-merge-verified, not sure why the bug is not set verified automatically. yet I did verify it as Comment 7.

Comment 14 errata-xmlrpc 2020-12-15 20:28:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.23 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5359


Note You need to log in before you can comment on or make changes to this bug.